Package org.apache.sling.jcr.oak.server.internal

## Class OakSlingRepositoryManager

- java.lang.Object
- - org.apache.sling.jcr.base.AbstractSlingRepositoryManager
  - - org.apache.sling.jcr.oak.server.internal.OakSlingRepositoryManager

    public class OakSlingRepositoryManager
    extends org.apache.sling.jcr.base.AbstractSlingRepositoryManager

A Sling repository implementation that wraps the Oak repository implementation from the Jackrabbit Oak project.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sling.jcr.base.AbstractSlingRepositoryManager

`org.apache.sling.jcr.base.AbstractSlingRepositoryManager.Config`

### Constructor Summary

Constructors
`OakSlingRepositoryManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.jcr.Repository` `acquireRepository()`
`protected org.apache.sling.jcr.base.AbstractSlingRepository2` `create​(org.osgi.framework.Bundle usingBundle)`
`protected void` `destroy​(org.apache.sling.jcr.base.AbstractSlingRepository2 repositoryServiceInstance)`
`protected void` `disposeRepository​(javax.jcr.Repository repository)`
`protected Dictionary<String,​Object>` `getServiceRegistrationProperties()`
`protected org.apache.sling.serviceusermapping.ServiceUserMapper` `getServiceUserMapper()`

### Methods inherited from class org.apache.sling.jcr.base.AbstractSlingRepositoryManager

`allowLoginAdministrativeForBundle, getDefaultWorkspace, getRepository, getServiceRegistrationInterfaces, isDisableLoginAdministrative, registerService, start, start, stop, unregisterService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OakSlingRepositoryManager

    public OakSlingRepositoryManager()

### Method Detail

#### getServiceUserMapper

    protected org.apache.sling.serviceusermapping.ServiceUserMapper getServiceUserMapper()

Specified by:
  `getServiceUserMapper` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### acquireRepository

    protected javax.jcr.Repository acquireRepository()

Specified by:
  `acquireRepository` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### getServiceRegistrationProperties

    protected Dictionary<String,​Object> getServiceRegistrationProperties()

Specified by:
  `getServiceRegistrationProperties` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### create

    protected org.apache.sling.jcr.base.AbstractSlingRepository2 create​(org.osgi.framework.Bundle usingBundle)

Specified by:
  `create` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### destroy

    protected void destroy​(org.apache.sling.jcr.base.AbstractSlingRepository2 repositoryServiceInstance)

Specified by:
  `destroy` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### disposeRepository

    protected void disposeRepository​(javax.jcr.Repository repository)

Specified by:
  `disposeRepository` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`